Loading...
Searching...
No Matches
juce::URL::DownloadTaskListener Struct Referenceabstract

`#include <juce_URL.h>`

## Public Member Functions

virtual void | finished (DownloadTask *task, bool success)=0
virtual void | progress (DownloadTask *task, int64 bytesDownloaded, int64 totalLength)

## Detailed Description

Used to receive callbacks for download progress.

Definition at line 440 of file juce_URL.h.

## Member Function Documentation

## finished()

virtual void juce::URL::DownloadTaskListener::finished | ( | DownloadTask * | task,
|  | bool | success )

pure virtual

Called when the download has finished. Be aware that this callback may come on an arbitrary thread.

## progress()

void juce::URL::DownloadTaskListener::progress | ( | DownloadTask * | task,
|  | int64 | bytesDownloaded,
|  | int64 | totalLength )

virtual

Called periodically by the OS to indicate download progress.

Beware that this callback may come on an arbitrary thread.

Definition at line 109 of file juce_URL.cpp.

Referenced by finished().

The documentation for this struct was generated from the following files:

- juce_URL.h
- juce_URL.cpp